Index: /trunk/MacFaceFloat/ConfigurationForm.cs
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 47)
+++ /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 48)
@@ -20,5 +20,4 @@
 		private System.Windows.Forms.ImageList imageListFacePreviews;
 		private System.Windows.Forms.ToolTip toolTipPreviewDetail;
-		private System.Windows.Forms.ImageList imageListConfigTreeIcon;
 		private System.Windows.Forms.Label label6;
 		private System.Windows.Forms.CheckBox checkMouseMessage;
@@ -73,5 +72,4 @@
 			this.components = new System.ComponentModel.Container();
 			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ConfigurationForm));
-			this.imageListConfigTreeIcon = new System.Windows.Forms.ImageList(this.components);
 			this.imageListFacePreviews = new System.Windows.Forms.ImageList(this.components);
 			this.label6 = new System.Windows.Forms.Label();
@@ -96,11 +94,4 @@
 			this.SuspendLayout();
 			// 
-			// imageListConfigTreeIcon
-			// 
-			this.imageListConfigTreeIcon.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
-			this.imageListConfigTreeIcon.ImageSize = new System.Drawing.Size(32, 32);
-			this.imageListConfigTreeIcon.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageListConfigTreeIcon.ImageStream")));
-			this.imageListConfigTreeIcon.TransparentColor = System.Drawing.Color.Transparent;
-			// 
 			// imageListFacePreviews
 			// 
@@ -206,5 +197,5 @@
 				| System.Windows.Forms.AnchorStyles.Right)));
 			this.trackBarOpacity.LargeChange = 10;
-			this.trackBarOpacity.Location = new System.Drawing.Point(64, 16);
+			this.trackBarOpacity.Location = new System.Drawing.Point(64, 13);
 			this.trackBarOpacity.Maximum = 100;
 			this.trackBarOpacity.Minimum = 5;
@@ -253,5 +244,5 @@
 				| System.Windows.Forms.AnchorStyles.Right)));
 			this.trackBarPatternSize.LargeChange = 10;
-			this.trackBarPatternSize.Location = new System.Drawing.Point(64, 15);
+			this.trackBarPatternSize.Location = new System.Drawing.Point(64, 12);
 			this.trackBarPatternSize.Maximum = 100;
 			this.trackBarPatternSize.Minimum = 10;
Index: /trunk/MacFaceFloat/ConfigurationForm.resx
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.resx	(revision 47)
+++ /trunk/MacFaceFloat/ConfigurationForm.resx	(revision 48)
@@ -98,147 +98,4 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
-  <data name="imageListConfigTreeIcon.Modifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>Private</value>
-  </data>
-  <data name="imageListConfigTreeIcon.DefaultModifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>Private</value>
-  </data>
-  <data name="imageListConfigTreeIcon.Location" type="System.Drawing.Point, System.Drawing, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>347, 17</value>
-  </data>
-  <data name="imageListConfigTreeIcon.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
-    <value>
-        AAEAAAD/////AQAAAAAAAAAMAgAAAFpTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0xLjAuNTAw
-        MC4wLCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZT
-        eXN0ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMA
-        AACoHQAAAk1TRnQBSQFMAgEBAgEAAQUBAAEEAQABIAEAASABAAT/ASEBEAj/AUIBTQE2BwABNgMAASgD
-        AAGAAwABIAMAAQEBAAEgBgABQBIAMP8B9ALzAf8B3QHbAdoB/wG1ArQB/wOwAf8DsAH/AbUCtAH/AdgB
-        1gHVAf8B8gHxAfCx//8AAQAk/wHtAusB/wOwAf8BgQGDAYQB/wFmAW0BcgH/AWgBdQF9Af8BfgGRAZsB
-        /wF6AYwBmAH/AW0BfQGHAf8BcgGCAYsB/wFxAYABhwH/AWYBbQFyAf8CfgF9Af8BrAGrAaoB/wHoAecB
-        5qX//wABABz/AeIB4QHfAf8ChgGHAf8BWwFmAWsB/wF+AZEBmwH/AaEBuwHJAf8BxQHhAfIB/wHZAfgC
-        /wGOAaEBrQH/AWMBcAF3Af8BcQGAAYUB/wFlAXIBewH/AZIBpwGxAf8BzAHpAfcB/wGkAb0BzAH/AX4B
-        kQGbAf8BWwFmAWsB/wGBAYMBhAH/Ad0B2wHanf//AAEAFf8B/gH9Af8DmwH/AVgBYQFlAf8BkgGnAbEB
-        /wHMAekB9wH/AdkB+AL/AdQB8gL/AdkB+AL/AY4BoQGtAf8BaAF1AX0B/wHKAeYB8gH/AdkB9QL/AccB
-        4gHwAf8BYwFwAXcB/wGZAa0BuwH/AdwB+gL/AdkB+AL/Ac4B6wH6Af8BkQGoAbMB/wFbAWYBawH/AZQB
-        kgGRAf8B/AH6AfmV//8AAQAQ/wH3AfYB9QH/AWYBbQFyAf8BZAF1AY4B/wHMAekB9wH/AdwB+gL/Ac0B
-        6gL/AcoB6AL/AdAB7QL/AcsB5gH5Af8BYwFwAXcB/wHMAegB+wH/Ad4B/QL/AdkB+AL/Ad4B/QL/AcEB
-        3QHwAf8BZQFyAXsB/wHRAe4B/QH/Ac4B6wL/AcoB6AL/AdwB+gL/Ac4B6wH6Af8BdwGKAZwB/wFYAV8B
-        aAH/AegB5wHmGf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8B
-        hAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYB
-        hAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8B
-        hAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYBhAH/AYQBhgGEAf8BhAGGAYQB/wGEAYYB
-        hAX//wABAAz/Ae0C6wH/AXcCeAH/AWwBgwGjAf8BfAGeAv8BmQG6Av8BfAGeAv8BcgGTAfwB/wG5AdcC
-        /wHUAfIC/wG+AdgB6wH/AUABSQFOAf8BcgGCAYsB/wFyAYIBiwH/AXIBggGLAf8BcgGCAYsB/wFtAX0B
-        hwH/AVgBYQFlAf8BywHmAfkB/wHSAe4C/wF2AZgB/QH/AYIBowH+Af8BggGjAf4B/wGZAboC/wFcAXcB
-        vgH/AWYBaQFnAf8B2QHYAdcR/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB
-        /wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB
-        /wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB/wGEAgAB
-        /wGEAgAB/wGEAgAB/wGEAYYBhAX//wABAAX/Af4B/QH/A5sB/wE9AUQBRwH/AVYBYwFrAf8B3gH9Av8B
-        dgGYAf0B/wFEAWQB5wH/AVoBfQH+Af8BfAGeAv8B0gHuAv8BzwHsAv8BzQHqAv8BtQHOAd4B/wGqAcEB
-        zwH/AaoBwQHPAf8BqgHBAc8B/wGqAcEBzwH/AaoBwQHPAf8BuwHVAeUB/wHPAewC/wHUAfIC/wGZAboC
-        /wFaAX0B/gH/AVoBfQH+Af8BUAFwAekB/wHPAfAC/wF+AZEBmwH/ATUBOgE+Af8BdwJ4Af8B4gHhAd8J
-        /wGEAgBt/wGEAgAB/wGEAYYBhAX//wABAAT/A5sB/wF3AYkBlAH/AXoBjAGYAf8BiAGdAaoB/wHcAfoC
-        /wHKAegC/wFkAXUBjgH/AVYBYwFrAf8BpwG+AckB/wHZAfgC/wHWAfQC/wHPAewC/wHSAfAC/wHSAfAC
-        /wHSAfAC/wHSAfAC/wHSAfAC/wHSAfAC/wHSAfAC/wHQAe0C/wHWAfQC/wHZAfUC/wGeAbQBvQH/AUQB
-        TgFXAf8BdwGKAZwB/wHcAfoC/wGqAcYB2AH/AWUBcgF7Af8BogG8AcoB/wFbAWYBawH/AfIB8QHwBf8B
-        hAIAbf8BhAIAAf8BhAGGAYQF//8AAQAB8gHxAfAB/wFdAWkBcAH/AdQB8gL/AW0BfQGHAf8BnQG0AcIB
-        /wHUAfIC/wHSAfAC/wHeAf0C/wGnAb4ByQH/AV0BaQFwAf8BYwFwAXcB/wGlAboBxgH/AdQB8gL/AdIB
-        7gL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/AdIB7gL/AdIB7gL/AacBvgHJAf8BYwFwAXcB
-        /wFjAXABdwH/AbABxwHSAf8B3AH6Av8B0gHwAv8BvgHYAesB/wFdAWkBcAH/AdkB+AL/AX4BkQGbAf8B
-        rAGrAaoF/wGEAgBt/wGEAgAB/wGEAYYBhAX//wABAAHVAdEBzgH/AXEBgAGHAf8B3AH6Av8BXQFpAXAB
-        /wG2Ac8B4QH/AdQB8gL/AcgB4wH2Af8BhQGWAaIB/wF9AY0BlwH/AW0BfAGDAf8BQAFJAU4B/wILAQwB
-        /wFEAU4BVwH/AccB4gHwAf8B0gHwAv8BzgHrAv8BzgHrAv8BzgHrAv8B0gHwAv8BuwHVAeUB/wE9AUQB
-        RwH/AgsBDAH/AT0BRAFHAf8BbQF8AYMB/wF9AY0BlwH/AYUBlgGiAf8BzAHoAfsB/wHFAeEB8gH/AVsB
-        ZgFrAf8BywHmAfkB/wGiAbwBzgH/AoYBhwX/AYQCAG3/AYQCAAH/AYQBhgGEBf//AAEAAcoByAHGAf8B
-        dwGJAZQB/wHUAfIC/wFWAWMBawH/AcEB3QHwAf8B0gHwAv8BygHkAfYB/wGOAaEBrQH/AY4BoQGtAf8B
-        kwGoAa8B/wFSAVwBYQH/AgsBDAH/AYgBnQGqAf8BzgHrAfoB/wHPAewC/wHOAesC/wHOAesC/wHOAesC
-        /wHQAe0C/wHMAekB9wH/AX0BjQGXAf8CCwEMAf8BVgFjAWsB/wGTAagBrwH/AY4BoQGtAf8BjgGhAa0B
-        /wHMAegB+wH/AcwB6AH7Af8BWwFmAWsB/wHBAd0B8AH/AaoBxgHYAf8BgQGDAYQF/wGEAgBt/wGEAgAB
-        /wGEAYYBhAX//wABAAHlAeQB4wH/AV0BaQFwAf8BwQHdAfAB/wFdAWkBcAH/AcgB4wH2Af8B0AHtAv8B
-        zgHrAv8B3gH9Av8BxwHiAfAB/wFoAXUBfQH/AUoBVQFcAf8BpwG+AckB/wHZAfgC/wHOAesC/wHOAesC
-        /wHOAesC/wHOAesC/wHOAesC/wHOAesC/wHPAewC/wHZAfgC/wGwAcgB1gH/AVIBXAFhAf8BcQGAAYcB
-        /wHOAesB+gH/AdwB+gL/AdAB7QL/Ac4B6wL/AVsBZgFrAf8BygHkAfYB/wGIAZoBpQH/A5sF/wGEAgBt
-        /wGEAgAB/wGEAYYBhAX//wABAAT/AawBqwGqAf8BQAFJAU4B/wFNAWEBbgH/Ac8B7AH+Af8B0AHtAv8B
-        1AHyAv8BpQG6AcYB/wFEAU4BVwH/AYgBmgGlAf8B1gH0Av8B2QH1Av8BzgHrAv8BzgHrAv8BzgHrAv8B
-        zgHrAv8BzgHrAv8BzgHrAv8BzgHrAv8BzgHrAv8BzgHrAv8B1gH0Av8B0QHuAf0B/wF9AY0BlwH/AUoB
-        VQFcAf8BsAHIAdYB/wHUAfIC/wHUAfIC/wFdAWkBcAH/AVEBaAF8Af8BTQFhAW4B/wH3AfQB8gX/AYQC
-        AG3/AYQCAAH/AYQBhgGEBf//AAEAAfQC8wH/AacBpAGhAf8BAgFFAXoB/wEbAYoB2wH/AcMB5gH+Af8B
-        0gHtAv8B0gHwAv8BtgHPAeEB/wG7AdUB5QH/AdkB+AL/Ac8B7AL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B
-        6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/AdAB7QL/AdkB+AL/AbUB
-        zgHeAf8BugHWAeoB/wHSAfAC/wHVAesB+wH/AVkBmgHIAf8BAAFtAckB/wEIAVQBiwH/AZQBkgGRBf8B
-        hAIAbf8BhAIAAf8BhAGGAYQF//8AAQABuQGyAa4B/wEAASYBRQH/AQABlgL/AQIBiwHsAf8BnQHWAf0B
-        /wHZAfIC/wHOAesC/wHZAfUC/wHUAfIC/wHOAesC/wHOAesC/wHPAewC/wHQAe0C/wHOAesC/wHOAesC
-        /wHOAesC/wHOAesC/wHOAesC/wHOAesC/wHOAesC/wHQAe0C/wHPAewC/wHOAesC/wHOAesC/wHWAfQC
-        /wHZAfUC/wHPAewC/wHSAe0C/wE/AaEB5wH/AQIBiwHsAf8BAAGRAfkB/wEIAScBPgX/AYQCAG3/AYQC
-        AAH/AYQBhgGEBf//AAEAAfoB9wH2Af8BVgFjAWsB/wEAAWoBuQH/AQABkQH5Af8BXwGxAekB/wHcAfEB
-        /gH/AcUB4wH4Af8BgQGsAcsB/wHMAegB+AH/AdkB8gL/AdkB8gL/AdUB7gH+Af8BwwHhAfYB/wHOAesC
-        /wHOAesC/wHOAesC/wHOAesC/wHOAesC/wHOAesC/wHKAegC/wHBAd0B8AH/AdwB8QH+Af8B2QHyAv8B
-        2QHyAv8BxQHhAfIB/wGKAbUB1QH/AdMB7AH9Af8BqgHeAf4B/wEQAYsB4gH/AQABlQH9Af8BAwFZAZoB
-        /wGBAYMBhAX/AYQCAG3/AYQCAAH/AYQBhgGEBf//AAEABP8B9QHtAegB/wEyAUsBXAH/AQABkQH5Af8B
-        CAFUAYsB/wF/AZ8BtAH/AdkB8gL/ATwBhQG5Af8BNAGMAc4B/wGLAbwB2wH/AYsBvAHbAf8BRQGSAcoB
-        /wFZAZoByAH/AdYB7wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/Ac4B6wL/AdAB7QL/AcoB5AH2Af8BPAGFAbkB
-        /wFIAZsB2AH/AYsBvAHbAf8BgQG4AdsB/wEjAYUBzAH/AVkBmgHIAf8B3wH1Av8BWQGaAcgB/wEBAYYB
-        6gH/AQEBhgHqAf8BcgGCAYsB/wH+AfwB+wX/AYQCAG3/AYQCAAH/AYQBhgGEBf//AAEAAd0B2wHaAf8B
-        WwFmAWsB/wEDAVkBmgH/AQABmwH+Af8BAAFqAbkB/wEMAUMBagH/AaoB3gH+Af8BxwHiAfAB/wEjAYUB
-        zAH/AQABhAHiAf8BAAGEAeIB/wEjAYUBzAH/AbEB0QHmAf8B1QHwAv8BzgHrAv8BzgHrAv8BzgHrAv8B
-        zgHrAv8BzgHrAv8B1QHwAv8BngHJAeQB/wEYAXoBxAH/AQABhAHiAf8BAAF/AeAB/wFFAZIBygH/AdoB
-        7gH3Af8BsAHVAe8B/wEPATsBXAH/AQABkQH5Af8BAgF7AdEB/wF8AYIBhgH/AfgB9QHzBf8BhAIAbf8B
-        hAIAAf8BhAGGAYQF//8AAQABxgHAAbwB/wEAASYBRQH/AQABkQH5Af8BAQGdAv8BAAGRAfkB/wEDAVkB
-        mgH/ASkBnwHwAf8BUgGLAbMB/wFKAXsBnQH/AaAByQHhAf8BgQGsAcsB/wGxAdEB5gH/AdkB9QL/Ac8B
-        7AL/AdkB9QL/Ac8B7AL/Ac0B6gL/AdIB7gL/AdkB9QL/Ac4B6wL/AdUB8AL/AdIB7QL/AaAByQHhAf8B
-        ngHFAd0B/wGxAdEB5gH/AYIBwgHrAf8BLQF/AboB/wECAUUBegH/AQEBnQL/AQABkQH5Af8BAgFLAYUB
-        /wGBAYMBhAX/AYQCAG3/AYQCAAH/AYQBhgGEBf//AAEABP8BpwGkAaEB/wEWAUUBaQH/AQEBgQHbAf8B
-        BgGbAv8BNAGvAv8BAAGYAv8BAgFzAcoB/wEEATUBXAH/AXsBzAH8Af8BLQF/AboB/wElAU8BbAH/AcUB
-        6wH+Af8ByAHjAfYB/wGAAakBxQH/AcoB6AL/AdYB8gL/AboB1gHqAf8BhwGnAb0B/wHWAfIC/wHSAfAC
-        /wGHAacBvQH/Aa4B0QHqAf8B4gH6Av8BRAFhAXcB/wEAAW0ByQH/ATIBmAHdAf8BjQG5AdQB/wEsAbMC
-        /wEAAZgC/wEAAU0BkQH/AawBqwGqBf8BhAIAbf8BhAIAAf8BhAGGAYQF//8AAQAI/wHPAcYBvwH/AQ8B
-        OwFcAf8BAwGXAfoB/wGqAd4B/gH/AXsBzAH8Af8BVwG8Av8BUgGLAbMB/wEBAYYB6gH/AQABlQH9Af8B
-        BAE1AVwB/wFIAZsB2AH/AVcBqgHlAf8BAAEuAVcB/wFoAbMB5wH/Ad8B9QL/AVYBpAHbAf8BAAEuAVcB
-        /wGSAcoB8QH/AYIBwgHrAf8BAwEeATQB/wEjAYUBzAH/AVcBqgHlAf8BBAE1AVwB/wFZAbUB9QH/AaoB
-        3gH+Af8BpwHkAv8BFAF1AbgB/wEPATsBXAH/AW8BcAFyAf8B/gH8AfsF/wGEAgBt/wGEAgAB/wGEAYYB
-        hAX//wABAAT/Af4B/AH7Af8ChgGHAf8BEgFlAaAB/wFRAcAC/wGdAdYB/QH/AaIB2gL/AaoB3gH+Af8B
-        kwHaAv8BAwGZAv8BAQGdAv8BAwFZAZoB/wEAAWoBuQH/AQABmwH+Af8BAwE7AWYB/wECAXMBygH/AVYB
-        sgH0Af8BDgGUAfIB/wEDATsBZgH/AQIBewHRAf8BAgGLAewB/wEAASYBRQH/AQABhAHiAf8BAQGGAeoB
-        /wETAWwBqAH/AYMBygH7Af8BawHFAv8BigHUAv8BDAFDAWoB/wGjAZYBiw3/AYQCAG3/AYQCAAH/AYQB
-        hgGEBf//AAEABP8B+AH1AfMB/wEqATwBSQH/ARQBdQG4Af8BewHMAfwB/wGTAdoC/wFYAbwC/wEVAZ0C
-        /wEjAaUC/wEAAZYC/wEAAZYC/wEAAZUB/QH/AQABkwH9Af8BAAGaAv8BAgF7AdEB/wEBAYEB2wH/AQAB
-        kwH9Af8BAAGYAv8BAgF7AdEB/wECAYsB7AH/AQABlgL/AQIBewHRAf8BAAGRAfkB/wEAAZgC/wEAAZoC
-        /wEAAZYC/wFLAbsC/wGnAeQC/wEbAYoB2wH/ATMBQwFQAf8B+gH3AfYJ/wGEAgBt/wGEAgAB/wGEAYYB
-        hAX//wABAAj/AdUB0QHOAf8BSgFVAVwB/wECAUUBegH/AQIBewHRAf8BCAGdAv8BAAGTAf0B/wEAAZUB
-        /QH/AQABlgL/AQABlgL/AQABmAL/AQABmAL/AQABlgL/AQABmgL/AQABmAL/AQABlgL/AQABlgL/AQAB
-        mgL/AQABmAL/AQABlgL/AQABmgL/AQABmAL/AQABlgL/AQABmAL/AQEBgQHbAf8BIwGFAcwB/wETAWwB
-        qAH/AQIBRQF6Af8BiQGNAZAB/wH+AfwB+wn/AYQCAG3/AYQCAAH/AYQBhgGEBf//AAEADP8B/gH8AfsB
-        /wGzAa0BqQH/AYkBjQGQAf8BEgFlAaAB/wEAAZgC/wEAAZgC/wEAAZgC/wEAAZgC/wEAAZsB/gH/AQAB
-        mAL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQABlgL/AQAB
-        lgL/AQABmAL/AQABmAL/AQEBXQGgAf8BAwEeATQB/wJ+AX0B/wHPAcYBvxH/AYQCAAH/AcYBxwHGAf8B
-        xgHHAcYB/wHGAccBxgH/AcYBxwHGAf8BxgHHAcYB/wHGAccBxgH/AcYBxwHGAf8BxgHHAcYB/wHGAccB
-        xgH/AcYBxwHGAf8BxgHHAcYB/wHGAccBxgH/AcYBxwHGAf8BxgHHAcYB/wHGAccBxgH/AcYBxwHGAf8B
-        xgHHAcYB/wHGAccBxgH/AcYBxwHGAf8BxgHHAcYB/wHGAccBxgH/AcYBxwHGAf8BxgHHAcYB/wHGAccB
-        xgH/AcYBxwHGAf8BxgHHAcYB/wHGAccBxgH/AYQCAAH/AYQBhgGEBf//AAEAFP8BdwJ4Af8BAgFLAYUB
-        /wEAAZEB8gH/AQABmAL/AQABlgL/AQABjQHxAf8BAgFzAcoB/wEAAYQB4gH/AQABmAL/AQABlgL/AQAB
-        lgL/AQABmAL/AQABmAL/AQABlgL/AQABlgL/AQABlgL/AQABmAL/AQABmwH+Af8BAAGVAf0B/wEAAZoC
-        /wEAAaIC/wEBAWIBqgH/AZQBkgGRFf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAGGAYQF//8AAQAR/wH+Af0B/wObAf8BTQFhAW4B/wElAU8BbAH/ARAB
-        SwF2Af8BEAFLAXYB/wEyAUsBXAH/AT0BRAFHAf8BAQFdAaAB/wEAAaIC/wEAAZsB/gH/AQABmwH+Af8B
-        AgGLAewB/wECAYsB7AH/AQABmAL/AQABmAL/AQEBnQL/AQABlgL/AQABTQGRAf8BDwE7AVwB/wEIAVQB
-        iwH/AQEBYgGqAf8BAAFNAZEB/wFEAU4BVwH/AfoB9wH2Ef8BhAIAAf8BhAIAAv8CAAH/AYQCAAL/AgAB
-        /wGEAgAC/wIAAf8BhAIAAv8CAAH/AYQCAAL/AgAB/wGEAgAC/wIAAf8BhAIAAv8CAAH/AYQCAAL/AgAB
-        /wGEAgAC/wIAAf8BhAIAA/8BAAL/AgAD/wEAAv8CAAP/AQAB/wGEAgAB/wIAAv8BhAGGAYQB/wGEAgAB
-        /wGEAYYBhAX//wABABn/Af4B/QH/AfUB7QHoAf8B5wHeAdkB/wHnAd4B2QH/AfcB9AHyAf8BZgFpAWcB
-        /wEAAU0BkQH/AQABagG5Af8BAQFdAaAB/wECAUsBhQH/ASoBPAFJAf8BAgFLAYUB/wEAAaIC/wEAAZgC
-        /wEAAWoBuQH/ARYBRQFpAf8BUQFMAUcB/wGUAZIBkQH/AcoByAHGAf8BlAGSAZEB/wGnAaQBoQH/AegB
-        5wHmFf8BhAIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8C
-        AAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAv8CAAL/AgAC/wIAAf8B
-        hAIACf//AAEALP8DsAH/AXwBggGGAf8BgQGDAYQB/wGUAZIBkQH/AcYBwAG8Af8BrwGnAaAB/wECAUsB
-        hQH/AQABagG5Af8BDAFDAWoB/wFvAXABcgH/AdUB0QHOAf8BtQK0Af8BtQK0Kf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8B
-        hAIAAf8BhAIAAf8BhAIAAf8BhAIAAf8BhAIADf//AAEAQP8BvQK/Af8BSgFVAVwB/wGBAYMBhAH/AdMB
-        ywHHCf8BbwFwAXIB/wHdAdsB2qH//wABAFT/AfcB9gH1Af8BygHIAcal//8AAQD//wH//wABAAFCAU0B
-        PgcAAT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP//wD/ABkACw==
-</value>
-  </data>
   <data name="imageListFacePreviews.Modifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>Private</value>
@@ -286,8 +143,8 @@
     <value>Private</value>
   </data>
+  <data name="linkWebSite.Modifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>Private</value>
+  </data>
   <data name="linkWebSite.DefaultModifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>Private</value>
-  </data>
-  <data name="linkWebSite.Modifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>Private</value>
   </data>
@@ -427,9 +284,9 @@
     <value>True</value>
   </data>
+  <data name="$this.DefaultModifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>Private</value>
+  </data>
   <data name="$this.Name">
     <value>ConfigurationForm</value>
-  </data>
-  <data name="$this.DefaultModifiers" type="System.CodeDom.MemberAttributes, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-    <value>Private</value>
   </data>
   <data name="$this.Icon" type="System.Drawing.Icon, System.Drawing, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" mimetype="application/x-microsoft.net.object.bytearray.base64">