Index: trunk/MacFaceFloat/AssemblyInfo.cs
===================================================================
--- trunk/MacFaceFloat/AssemblyInfo.cs	(revision 74)
+++ trunk/MacFaceFloat/AssemblyInfo.cs	(revision 76)
@@ -3,19 +3,19 @@
 
 //
-// AZuÉÖ·éêÊîñÍÈºÌ 
-// ®«ZbgðÊµÄ§ä³êÜ·BAZuÉÖAt¯çêÄ¢é 
-// îñðÏX·éÉÍA±êçÌ®«lðÏXµÄ­¾³¢B
+// アセンブリに関する一般情報は以下の 
+// 属性セットを通して制御されます。アセンブリに関連付けられている 
+// 情報を変更するには、これらの属性値を変更してください。
 //
 [assembly: AssemblyTitle("MacFace for Windows")]
-[assembly: AssemblyDescription("G[ViCPU[^[")]
+[assembly: AssemblyDescription("エモーショナルCPUメーター")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("Team MacFace")]
 [assembly: AssemblyProduct("MacFace for Windows")]
-[assembly: AssemblyCopyright("Copyright c 2005-2006 Team MacFace, All rights reserved.")]
+[assembly: AssemblyCopyright("Copyright © 2005-2006 Team MacFace, All rights reserved.")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]		
 
 //
-// AZuÌo[WîñÍAÈºÌ 4 ÂÌ®«Å\¬³êÜ· :
+// アセンブリのバージョン情報は、以下の 4 つの属性で構成されます :
 //
 //      Major Version
@@ -24,37 +24,34 @@
 //      Revision
 //
-// ºÉ éæ¤ÉA'*' ðgÁÄA·×ÄÌlðwè·é©A
-// rh¨æÑrWÔðùèlÉ·é±ÆªÅ«Ü·B
+// 下にあるように、'*' を使って、すべての値を指定するか、
+// ビルドおよびリビジョン番号を既定値にすることができます。
 
-[assembly: AssemblyInformationalVersion("At@Å(2006-07-11)")]
+[assembly: AssemblyInformationalVersion("アルファ版(2006-07-12)")]
 [assembly: AssemblyVersion("1.0.*")]
 
 //
-// AZuÉ¼·éÉÍAgp·éL[ðwèµÈ¯êÎÈèÜ¹ñB 
-// AZu¼ÉÖ·éÚ×ÉÂ¢ÄÍAMicrosoft .NET Framework hL
-gðQÆµÄ­¾³¢B
+// アセンブリに署名するには、使用するキーを指定しなければなりません。 
+// アセンブリ署名に関する詳細については、Microsoft .NET Framework ドキュメントを参照してください。
 //
-// ºLÌ®«ðgÁÄA¼Ég¤L[ð§äµÜ·B 
+// 下記の属性を使って、署名に使うキーを制御します。 
 //
-//  : 
-//   (*) L[ªwè³êÈ¢ÆAAZuÍ¼³êÜ¹ñB
-//   (*) KeyName ÍARs
-[^ÉCXg[³êÄ¢é
-//        ÃT[rX voC_ (CSP) ÌL[ð\µÜ·BKeyFile ÍA
-//       L[ðÜÞt@CÅ·B
-//   (*) KeyFile ¨æÑ KeyName Ìlª¤Éwè³êÄ¢éêÍA 
-//       ÈºÌªsíêÜ· :
-//       (1) KeyName ª CSP É©Â©Á½êA»ÌL[ªgíêÜ·B
-//       (2) KeyName ª¶Ý¹¸AKeyFile ª¶Ý·éêA 
-//           KeyFile É éL[ª CSP ÉCXg[³êAgíêÜ·B
-//   (*) KeyFile ðì¬·éÉÍAsn.exe (µ§È¼O) [eBeBðgÁÄ­¾³¢B
-//       KeyFile ðwè·éÆ«AKeyFile ÌêÍA
-//       vWFNgoÍ fBNgÖÌÎpXÅÈ¯êÎÈèÜ¹ñB
-//       pXÍA%Project Directory%\obj\<configuration> Å·B½Æ¦ÎAKeyFile ªvWFNg fBNgÉ éêA
-//       AssemblyKeyFile ®«ð 
-//       [assembly: AssemblyKeyFile("..\\..\\mykey.snk")] ÆµÄwèµÜ·B
-//   (*) x¼ÍxÈIvVÅ·B
-//       Ú×ÉÂ¢ÄÍ Microsoft .NET Framework hL
-gðQÆµÄ­¾³¢B
+// メモ : 
+//   (*) キーが指定されないと、アセンブリは署名されません。
+//   (*) KeyName は、コンピュータにインストールされている
+//        暗号サービス プロバイダ (CSP) のキーを表します。KeyFile は、
+//       キーを含むファイルです。
+//   (*) KeyFile および KeyName の値が共に指定されている場合は、 
+//       以下の処理が行われます :
+//       (1) KeyName が CSP に見つかった場合、そのキーが使われます。
+//       (2) KeyName が存在せず、KeyFile が存在する場合、 
+//           KeyFile にあるキーが CSP にインストールされ、使われます。
+//   (*) KeyFile を作成するには、sn.exe (厳密な名前) ユーティリティを使ってください。
+//       KeyFile を指定するとき、KeyFile の場所は、
+//       プロジェクト出力 ディレクトリへの相対パスでなければなりません。
+//       パスは、%Project Directory%\obj\<configuration> です。たとえば、KeyFile がプロジェクト ディレクトリにある場合、
+//       AssemblyKeyFile 属性を 
+//       [assembly: AssemblyKeyFile("..\\..\\mykey.snk")] として指定します。
+//   (*) 遅延署名は高度なオプションです。
+//       詳細については Microsoft .NET Framework ドキュメントを参照してください。
 //
 [assembly: AssemblyDelaySign(false)]